curl --request GET \
--url https://mapi.boomfi.xyz/v1/payments \
--header 'X-API-KEY: <api-key>'import requests
url = "https://mapi.boomfi.xyz/v1/payments"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://mapi.boomfi.xyz/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"amount": "25.00",
"amount_usd": "25.00",
"automation": {},
"cf_headers": {},
"chain_id": 8453,
"created_at": "2024-06-15T14:32:10.000Z",
"crypto_transaction": {
"chain_id": 8453,
"created_at": "2024-06-15T14:32:40.000Z",
"payment_id": "pay_01HXYZ",
"status": "Success",
"transaction_hash": "0xdemoaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"type": "Payment",
"updated_at": "2024-06-15T14:32:45.000Z"
},
"crypto_transactions": [
{
"chain_id": 8453,
"created_at": "2024-06-15T14:32:40.000Z",
"payment_id": "pay_01HXYZ",
"status": "Success",
"transaction_hash": "0xdemoaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"type": "Payment",
"updated_at": "2024-06-15T14:32:45.000Z"
}
],
"currency": "USDC",
"customer": {
"created_at": "2024-06-01T09:00:00.000Z",
"deleted_at": "<string>",
"email": "ada@example.com",
"id": "cus_01HXYZ",
"metadata": {},
"name": "Ada Lovelace",
"org_id": "org_01HXYZ",
"phone": "+15555550100",
"properties": {},
"reference": "ada-001",
"updated_at": "2024-06-15T14:32:10.000Z",
"wallet_address": "0xdemo111111111111111111111111111111111111"
},
"customer_id": "cus_01HXYZ",
"description": "<string>",
"error": {},
"from_account": {
"account_type": "CryptoPayIn",
"address": "<string>",
"chain_id": 123,
"currencies": [
"<string>"
],
"enabled": true,
"id": 123,
"name": "<string>",
"reference": "<string>"
},
"id": "pay_01HXYZ",
"invoice": {
"amount": "25.00",
"created_at": "2024-06-15T14:32:10.000Z",
"currency": "USDC",
"customer_id": "cus_01HXYZ",
"due_at": "2024-06-15T14:32:10.000Z",
"dunning_status": "Unknown",
"id": "inv_01HXYZ",
"invoice_items": [
{
"period_end_at": "<string>",
"period_start_at": "<string>",
"plan": {
"created_at": "2024-05-01T12:00:00.000Z",
"currency": "USDC",
"enabled": true,
"expires_at": "<string>",
"id": "pln_01HXYZ",
"name": "Starter",
"org_id": "org_01HXYZ",
"price": "25.00",
"recurring_interval": "<string>",
"recurring_interval_count": 123,
"reference": "<string>",
"trial_period": "<string>",
"type": "OneTime",
"updated_at": "2024-05-01T12:00:00.000Z"
}
}
],
"issuing_at": "2024-06-15T14:32:10.000Z",
"org_id": "org_01HXYZ",
"payment_link": {
"after_completion": {
"custom_message": "<string>",
"failure_redirect_url": "https://merchant.example/checkout/failed",
"redirect_url": "https://merchant.example/checkout/success",
"type": "redirect"
},
"created_at": "2024-05-01T12:00:00.000Z",
"created_by": "usr_01HXYZ",
"customer_ident_collection": false,
"deleted_at": "<string>",
"enabled": true,
"id": "plink_01HXYZ",
"invoice_id": "inv_01HXYZ",
"metadata": {},
"plan": {
"created_at": "2024-05-01T12:00:00.000Z",
"currency": "USDC",
"enabled": true,
"expires_at": "<string>",
"id": "pln_01HXYZ",
"name": "Starter",
"org_id": "org_01HXYZ",
"price": "25.00",
"recurring_interval": "<string>",
"recurring_interval_count": 123,
"reference": "<string>",
"trial_period": "<string>",
"type": "OneTime",
"updated_at": "2024-05-01T12:00:00.000Z"
},
"plan_id": "pln_01HXYZ",
"properties": {},
"shipping_address_collection": false,
"source": "BoomFi",
"tax_ident_collection": false,
"updated_at": "2024-05-01T12:00:00.000Z",
"updated_by": "usr_01HXYZ"
},
"payment_status": "Succeeded",
"reference": "order-10042",
"source": "BoomFi",
"status": "Paid",
"updated_at": "2024-06-15T14:33:01.000Z"
},
"invoice_id": "inv_01HXYZ",
"metadata": {},
"next_action": "travel_rule:https://example.com/travel-rule/...",
"org": {
"id": "org_01HXYZ",
"name": "Example Merchant"
},
"org_id": "org_01HXYZ",
"parent_id": "<string>",
"payment_link": {
"after_completion": {
"custom_message": "<string>",
"failure_redirect_url": "https://merchant.example/checkout/failed",
"redirect_url": "https://merchant.example/checkout/success",
"type": "redirect"
},
"created_at": "2024-05-01T12:00:00.000Z",
"created_by": "usr_01HXYZ",
"customer_ident_collection": false,
"deleted_at": "<string>",
"enabled": true,
"id": "plink_01HXYZ",
"invoice_id": "inv_01HXYZ",
"metadata": {},
"plan": {
"created_at": "2024-05-01T12:00:00.000Z",
"currency": "USDC",
"enabled": true,
"expires_at": "<string>",
"id": "pln_01HXYZ",
"name": "Starter",
"org_id": "org_01HXYZ",
"price": "25.00",
"recurring_interval": "<string>",
"recurring_interval_count": 123,
"reference": "<string>",
"trial_period": "<string>",
"type": "OneTime",
"updated_at": "2024-05-01T12:00:00.000Z"
},
"plan_id": "pln_01HXYZ",
"properties": {},
"shipping_address_collection": false,
"source": "BoomFi",
"tax_ident_collection": false,
"updated_at": "2024-05-01T12:00:00.000Z",
"updated_by": "usr_01HXYZ"
},
"payment_method": "ProxyWallet",
"payout_splits": [
{
"address": "<string>",
"amount": "<string>",
"chain_id": 123,
"currency": "<string>",
"destination_account_id": 123,
"reference": "<string>"
}
],
"plan": {
"created_at": "2024-05-01T12:00:00.000Z",
"currency": "USDC",
"enabled": true,
"expires_at": "<string>",
"id": "pln_01HXYZ",
"name": "Starter",
"org_id": "org_01HXYZ",
"overrides": {},
"price": "25.00",
"recurring_interval": "<string>",
"recurring_interval_count": 123,
"reference": "<string>",
"trial_period": "<string>",
"type": "OneTime",
"updated_at": "2024-05-01T12:00:00.000Z"
},
"plan_currency": "USD",
"plan_price": "25.00",
"properties": {
"action_state": {
"status": "Pending",
"type": "travel_rule",
"updated_at": "2026-08-23T10:00:00.000Z"
}
},
"ramp": {
"memo": "INV-10042"
},
"reference": "order-10042",
"refund_amount": "<string>",
"refund_recipient_address": "<string>",
"refunded_plan": {
"id": "<string>",
"reference": "<string>"
},
"scheduled_time": 123,
"sender_address": "<string>",
"settlement_address": "0xdemo222222222222222222222222222222222222",
"settlement_amount": "24.50",
"settlement_from_address": "<string>",
"settlement_transaction": {
"chain_id": 8453,
"created_at": "2024-06-15T14:32:40.000Z",
"payment_id": "pay_01HXYZ",
"status": "Success",
"transaction_hash": "0xdemoaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"type": "Payment",
"updated_at": "2024-06-15T14:32:45.000Z"
},
"source": "BoomFi",
"status": "RequiresAction",
"to_account": {
"account_type": "CryptoPayIn",
"address": "<string>",
"chain_id": 123,
"currencies": [
"<string>"
],
"enabled": true,
"id": 123,
"name": "<string>",
"reference": "<string>"
},
"to_address": "<string>",
"updated_at": "2024-06-15T14:33:01.000Z"
}
],
"last_update": "2021-01-01T00:00:00.000Z",
"next": 10,
"total": 10
},
"error": true
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}List Payments
List payments with optional filters for invoice, customer, method, status, paylink, and plan.
Authorizations
Query Parameters
Filter by customer display ID (cus_...).
Filter by invoice display ID (inv_...).
Filter by invoice reference string.
Page size. Defaults to 100. Minimum 1, maximum 100.
1 <= x <= 100Page number (1-based). Defaults to 1.
x >= 1Filter by payment link display ID (plink_...).
Filter by payment method. Accepts one value or a comma-separated list of the allowed values below.
Unknown, MerchantContract, ProxyWallet, Unblock, Payout, Card, GooglePay, ApplePay, Paypal, DirectDebit, Ramp, RampCryptoSettlement, Refund, Deposit Filter by plan display ID (plan_...).
Inclusive lower bound on created_at (RFC3339). When set, results are sorted by created_at.
Sort direction for the primary list key (created_at when since/until are set, otherwise id). Defaults to desc.
asc, desc Filter by payment status. Accepts one value or a comma-separated list of the allowed values below.
Unknown, RequiresPaymentMethod, RequiresConfirmation, RequiresAction, Processing, Succeeded, Canceled, Failed Inclusive upper bound on created_at (RFC3339). When set, results are sorted by created_at.